Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.oracle_listener

### , oracle_listener

- resource type implementation for the Oracle listener

## Description

The `SUNW.oracle_listener` resource type represents the Oracle listener in an Oracle Solaris Cluster configuration. The HA Oracle listener resource is configured with an HA Oracle server resource. For more information, see Oracle Solaris Cluster Data Service for Oracle Guide.

You must set the following properties for an Oracle listener resource by using `clresource`(1CL).

### Standard Properties

The standard resource property `Failover` is set for all failover resource types.

See `r_properties`(5) for a complete description of the following resource properties.

`Failover_mode`

  Default: `NONE`

  Tunable: `Any time`

`Retry_count`

  Minimum: `-1`

  Default: `-1`

  Tunable: `Any time`

`Retry_interval`

  Minimum: `-1`

  Maximum: `2592000`

  Default: `600`

  Tunable: `Any time`

`Thorough_probe_interval`

  Minimum: `1`

  Maximum: `2592000`

  Default: `30`

  Tunable: `Any time`

### Extension Properties

`Listener_name`

  Type string. Default is `LISTENER`. Defines the name of the listener to be started. This name must match the corresponding entry in the `listener.ora` configuration file. You can change this property only when the resource is disabled.

`Oracle_Home`

  Type string. This property is set to the Oracle parent directory that contains the binaries, logs, and parameter files. You can modify this property only when the resource is disabled.

`Probe_timeout`

  Type integer. Default is 180. Maximum value is 99999. The time-out value in seconds that the fault monitor uses to probe an Oracle listener. You can modify this property at any time.

`User_env`

  Type string. Default is `NULL`. This property is set to the name of the file that contains the environment variables to be set before listener startup or shutdown. You can modify this property at any time.

## Examples

Example 1 Creating a Failover `oracle_listener` Resource

For this example to work, you must first install the data service.

The following example creates a failover `oracle_listener` resource named `ora_listener` in an existing resource group named `oracle-rg`. `oracle-rg` is assumed to contain a `LogicalHostname` resource, which identifies the logical host name associated with the resource group, and an `oracle_server` resource, which identifies the Oracle server associated with the resource group. Another assumption is that the configuration file `listener.ora` was created with the correct port number for the listener to listen at.

    example# clresourcetype register SUNW.oracle_listener
    example# clresource create –g oracle-rg \
    –t SUNW.oracle_listener –p ORACLE_HOME=/oracle \
    –p LISTENER_NAME=ORALIST ora_listener

In this example, the Oracle listener resource created is named `ora_listener`, which has its `ORACLE_HOME` under `/oracle`. The listener name is `ORALIST`, which matches the corresponding entry in the configuration file `listener.ora`.

## See Also

`pmfadm`(1M), `scha_resource_get`(1HA), `clresourcetype`(1CL), `clresource`(1CL), `r_properties`(5), `SUNW.oracle_server`(5)

Oracle Solaris Cluster Data Service for Oracle Guide Oracle Solaris Cluster Data Services Planning and Administration Guide

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |